$packageName = 'wincrypt-sshagent'
$appName = 'WinCryptSSHAgent'

$url = 'https://github.com/buptczq/WinCryptSSHAgent/releases/download/v1.1.6/WinCryptSSHAgent.exe'

$dir = $(Split-Path -parent $MyInvocation.MyCommand.Definition)
$processName = $appName;
$exe = $processName + '.exe'
$fullPath = Join-Path -Path $dir -ChildPath $exe
$checksum = '948dd58d4e06141dd63f131d5695575dbfc6fae3e528663c5bc6e0423d796bf5a2e196a7364c5ba7987eddb38180beb72ac2f19dc43fb81b9d6f32ead9df7ccb'
$checksumType = 'sha512'

$startFolder = $appName

Function CreateStartMenuShortcut {
    $startMenuFolderPath = Join-Path -Path ([Environment]::GetFolderPath('Programs')) `
        -ChildPath $startFolder
    New-Item $startMenuFolderPath -Type Directory -ErrorAction SilentlyContinue
    If (Test-Path -Path $startMenuFolderPath -PathType Container) {
            Install-ChocolateyShortcut -shortcutFilePath `
                (Join-Path -Path $startMenuFolderPath -ChildPath ($appName + '.lnk')) `
                -targetPath $fullPath -workingDirectory $dir
    } Else {
        Write-Warning "Start menu folder couldn't be created."
    }
}

# SCRIPT STARTS HERE #

Stop-Process -Name $processName -ErrorAction SilentlyContinue

# Workaround for https://github.com/chocolatey/choco/issues/952
Remove-Item -Path $fullPath -Force -Confirm:$FALSE -ErrorAction SilentlyContinue

Get-ChocolateyWebFile -PackageName $packageName -FileFullPath $fullPath -Url64bit $url -ChecksumType $checksumType -Checksum64 $checksum -ChecksumType64 $ChecksumType

# create .gui file
New-Item -Path $dir -Name ($exe + '.gui') -ItemType file

CreateStartMenuShortcut